For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • POSTCreate an invoice adjustment
      • DELDelete adjustment
      • GETInvoice line item by Id
      • GETInvoice line items by contract
      • GETList invoice adjustments
      • POSTReview a single invoice adjustment
      • PATCHUpdate an invoice adjustment
LogoLogo
SupportDeel Home
EndpointsInvoice Adjustments

Update an invoice adjustment

PATCH
/invoice-adjustments/:id
PATCH
/rest/v2/invoice-adjustments/:id
$curl -X PATCH https://api.letsdeel.com/rest/v2/invoice-adjustments/123e4567-e89b-12d3-a456-426614174000 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "data": {
> "title": "Year-End Bonus Adjustment",
> "amount": 250.75,
> "description": "Adjustment for year-end performance bonus"
> }
> }
>}'
1{
2 "data": {
3 "updated": true
4 }
5}

Applies a partial update to an existing invoice adjustment; only fields included in the request body are modified. Token scopes: invoice-adjustments:write, worker:write

Was this page helpful?
Previous

Create a Milestone

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Invoice adjustment id.

Request

This endpoint expects an object.
dataobjectRequired
Details of adjustment to update

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication